Bug 63168 - REGRESSION(r89407): Broke Chromium tests for Forms and Autofill (Requested by dimich on #webkit).
Summary: REGRESSION(r89407): Broke Chromium tests for Forms and Autofill (Requested by...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: WebKit Review Bot
URL:
Keywords:
Depends on:
Blocks: 61415
  Show dependency treegraph
 
Reported: 2011-06-22 12:47 PDT by WebKit Review Bot
Modified: 2011-06-30 23:07 PDT (History)
3 users (show)

See Also:


Attachments
ROLLOUT of r89407 (319.39 KB, patch)
2011-06-22 12:48 PDT, WebKit Review Bot
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Review Bot 2011-06-22 12:47:36 PDT
http://trac.webkit.org/changeset/89407 broke the build:
Broke Chromium tests for Forms and Autofill (Requested by dimich on #webkit).

This is an automatic bug report generated by the sheriff-bot. If this bug
report was created because of a flaky test, please file a bug for the flaky
test (if we don't already have one on file) and dup this bug against that bug
so that we can track how often these flaky tests case pain.

"Only you can prevent forest fires." -- Smokey the Bear
Comment 1 WebKit Review Bot 2011-06-22 12:48:03 PDT
Created attachment 98221 [details]
ROLLOUT of r89407

Any committer can land this patch automatically by marking it commit-queue+.  The commit-queue will build and test the patch before landing to ensure that the rollout will be successful.  This process takes approximately 15 minutes.

If you would like to land the rollout faster, you can use the following command:

  webkit-patch land-attachment ATTACHMENT_ID --ignore-builders

where ATTACHMENT_ID is the ID of this attachment.
Comment 2 WebKit Review Bot 2011-06-22 12:55:39 PDT
Comment on attachment 98221 [details]
ROLLOUT of r89407

Clearing flags on attachment: 98221

Committed r89460: <http://trac.webkit.org/changeset/89460>
Comment 3 WebKit Review Bot 2011-06-22 12:55:43 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Dmitry Titov 2011-06-22 12:59:25 PDT
Example of breakage we've got: http://chromegw.corp.google.com/i/chromium/builders/Vista%20Tests%20%28dbg%29%285%29/builds/7184

It only affected Vista browser_tests, on couple of bots. The symptom was that test just hangs w/o any info in stdio.
Comment 5 Kent Tamura 2011-06-24 04:30:03 PDT
(In reply to comment #4)
> Example of breakage we've got: http://chromegw.corp.google.com/i/chromium/builders/Vista%20Tests%20%28dbg%29%285%29/builds/7184
> 
> It only affected Vista browser_tests, on couple of bots. The symptom was that test just hangs w/o any info in stdio.

I couldn't reproduce this problem on Vista Business SP2.
I'll try Valgrind or ASAN.
Comment 6 Dmitry Titov 2011-06-24 10:25:37 PDT
We couldn't get to a better diagnostic, but failures repeated for 3 cycles in a row and revert did help...

Sometimes it's hard to reproduce on local machines but reproduces on bots (timing?) It is possible to run Chrome try job with WK patch. Ping me for instructions if needed.
Comment 7 Kent Tamura 2011-06-26 22:54:36 PDT
(In reply to comment #6)
> Sometimes it's hard to reproduce on local machines but reproduces on bots (timing?) It is possible to run Chrome try job with WK patch. Ping me for instructions if needed.

But we have no Vista try server.
Comment 8 Kent Tamura 2011-06-27 21:52:42 PDT
I tested with r89407 change on Linux Valgrind, Linux ASAN, Mac Valgrind, and found no new errors.

I'll try to split the patch, and make it a little safer, then try landing again.
Comment 9 Kent Tamura 2011-06-30 21:29:29 PDT
I re-landed the r89407 change, and it seems it didn't cause the problem on Vista!
Comment 10 Dmitry Titov 2011-06-30 23:07:56 PDT
(In reply to comment #9)
> I re-landed the r89407 change, and it seems it didn't cause the problem on Vista!

Great! Sorry about the trouble, our test flakiness is still high, unfortunately...